#
# spec file for package OpenEXR (Version 1.4.0a)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils fltk fltk-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libltdl-3 libmudflap42 libpng libreadline5 libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           OpenEXR
BuildRequires:  fltk-devel freeglut-devel gcc-c++ libdrm-devel
Summary:        Library to Handle EXR Pictures in 16-Bit Floating-Point Format
Version:        1.4.0a
Release:        36.2
License:        BSD 3-Clause; GPL v2 or later
Group:          Development/Libraries/C and C++
Url:            http://www.openexr.com/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        openexr-%version.tar.bz2
Patch:          OpenEXR-docdir.patch
Patch1:         OpenEXR-decl.patch
Patch2:         OpenEXR-examples.patch
Patch3:         OpenEXR-pedantic.diff
Patch4:         OpenEXR-1.4.0-CVE-2009-1720-1.diff
Patch5:         OpenEXR-1.4.0-CVE-2009-1720-2.diff
Patch6:         OpenEXR-1.4.0-CVE-2009-1721.diff

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

* exrheader, a utility for dumping header information

* exrstdattr, a utility for modifying OpenEXR standard attributes

* exrmaketiled, for generating tiled and rip/mipmapped images

* exrenvmap, for creating OpenEXR environment maps

* exrmakepreview, for creating preview images for OpenEXR files



Authors:
--------
    Developers:
    -----------
    
    Florian Kainz <kainz@ilm.com>
    Rod Bogart <rgb@ilm.com>
    Drew Hess <dhess@ilm.com>
    Paul Schneider <pauls@ilm.com>
    Bill Anderson <wja@ilm.com>
    Wojciech Jarosz <wjarosz@ucsd.edu>
    
    Contributors:
    -------------
    
    Simon Green <SGreen@nvidia.com>
    Rito Trevino <etrevino@ilm.com>
    Josh Pines
    Christian Rouet
    Rodrigo Damazio <rdamazio@lsi.usp.br>
    Greg Ward <gward@lmi.net>
    Joseph Goldstone <joseph@lp.com>
    Loren Carpenter, Pixar Animation Studios
    
    Win32 port contributors:
    ------------------------
    
    Dustin Graves <dgraves@computer.org>
    Jukka Liimatta <jukka.liimatta@twilight3d.com>
    Baumann Konstantin <Konstantin.Baumann@hpi.uni-potsdam.de>
    Daniel Koch <daniel@eyeonline.com>
    Luc-Eric Rousseau <lucer@softimage.com>
    E. Scott Larsen <larsene@cs.unc.edu>
    stephan mantler <step@acm.org>
    Andreas Kahler <AKahler@nxn-software.com>
    Frank Jargstorff <fjargstorff@nvidia.com>
    Lutz Latta

%debug_package
%package devel
License:        BSD 3-Clause; GPL v2 or later
Requires:       OpenEXR = %version zlib-devel
Group:          Development/Libraries/C and C++
Summary:        Library to Handle EXR Pictures (16-bit floating-point format)

%description devel
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

The package contains header files.

* exrdisplay, an application to view .exr files



Authors:
--------
    Developers:
    -----------
    
    Florian Kainz <kainz@ilm.com>
    Rod Bogart <rgb@ilm.com>
    Drew Hess <dhess@ilm.com>
    Paul Schneider <pauls@ilm.com>
    Bill Anderson <wja@ilm.com>
    Wojciech Jarosz <wjarosz@ucsd.edu>
    
    Contributors:
    -------------
    
    Simon Green <SGreen@nvidia.com>
    Rito Trevino <etrevino@ilm.com>
    Josh Pines
    Christian Rouet
    Rodrigo Damazio <rdamazio@lsi.usp.br>
    Greg Ward <gward@lmi.net>
    Joseph Goldstone <joseph@lp.com>
    Loren Carpenter, Pixar Animation Studios
    
    Win32 port contributors:
    ------------------------
    
    Dustin Graves <dgraves@computer.org>
    Jukka Liimatta <jukka.liimatta@twilight3d.com>
    Baumann Konstantin <Konstantin.Baumann@hpi.uni-potsdam.de>
    Daniel Koch <daniel@eyeonline.com>
    Luc-Eric Rousseau <lucer@softimage.com>
    E. Scott Larsen <larsene@cs.unc.edu>
    stephan mantler <step@acm.org>
    Andreas Kahler <AKahler@nxn-software.com>
    Frank Jargstorff <fjargstorff@nvidia.com>
    Lutz Latta

%prep
%setup -q -n openexr-1.4.0
%patch
%patch1
%patch2
%patch3
%patch4 -p1 -b .CVE-2009-1720-1
%patch5 -p1 -b .CVE-2009-1720-2
%patch6 -p1 -b .CVE-2009-1721

%build
#autoreconf --force --install --include=config
#
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export PTHREAD_LIBS="-lpthread"
./configure \
  --prefix=/usr \
  --libdir=%_libdir
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING LICENSE NEWS README*
/usr/bin/exrenvmap
/usr/bin/exrheader
/usr/bin/exrmakepreview
/usr/bin/exrmaketiled
/usr/bin/exrstdattr
%_libdir/libHalf.so.*
%_libdir/libIex.so.*
%_libdir/libIlmImf.so.*
%_libdir/libImath.so.*
%_libdir/libIlmThread.so.*

%files devel
%defattr(-,root,root)
/usr/bin/exrdisplay
/usr/include/OpenEXR
%_libdir/libHalf.a
%_libdir/libHalf.la
%_libdir/libHalf.so
%_libdir/libIex.a
%_libdir/libIex.la
%_libdir/libIex.so
%_libdir/libIlmImf.a
%_libdir/libIlmImf.la
%_libdir/libIlmImf.so
%_libdir/libImath.a
%_libdir/libImath.la
%_libdir/libImath.so
%_libdir/libIlmThread.a
%_libdir/libIlmThread.la
%_libdir/libIlmThread.so
%_libdir/pkgconfig/OpenEXR.pc
/usr/share/aclocal/openexr.m4
%doc doc/*.pdf
%doc IlmImfExamples/*.cpp IlmImfExamples/*.h

%changelog
* Tue Aug 04 2009 - mvyskocil@suse.cz
- fixed bnc#527539:  VUL-0: OpenEXR: [ MDVSA-2009:190 ] OpenEXR
  backported patches from Mandriva
  * CVE-2009-1720
  * CVE-2009-1721
* Sat May 19 2007 - stbinner@suse.de
- fix linking of new IlmThread lib versus libpthread
* Tue May 15 2007 - ltinkl@suse.cz
- update to 1.4.6
- fix build, fix packaging examples and doc
- added missing Requires
* Tue Jan 16 2007 - meissner@suse.de
- fixed RPM_OPT_FLAGS
* Mon Jun 12 2006 - dmueller@suse.de
- fix shared lib dependencies
- fix installed headers
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 07 2005 - sndirsch@suse.de
- make use of mesa-devel-packages macro in neededforbuild
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed May 25 2005 - adrian@suse.de
- update to version 1.2.2
* Mon May 23 2005 - schwab@suse.de
- Fix missing declaration.
* Thu Jan 13 2005 - ro@suse.de
- try to fix docu installation
* Mon Jun 28 2004 - adrian@suse.de
- initial package of version 1.2.1
